Reasons Lost
Reasons lost provide additional detail on why opportunities were not won.
Use the Datastore_ReasonLost endpoint to query reasons lost.
Endpoints
List Reasons Lost
GET
/v1/odata/Datastore_ReasonLostSingle Reasons Lost
GET
/v1/odata/Datastore_ReasonLost({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Filtering Examples
GET
/v1/odata/Datastore_ReasonLost?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_ReasonLost?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_ReasonLost?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_ReasonLost?$filter=IsDefault eq {IsDefault}&$top={top}Custom Query
Build your own OData query against Datastore_ReasonLost. Open Run and edit the whole request inline — swap the entity set, change the $filter, or add $expand, $select, $orderby, $top, $skip. Type $ for suggestions; use ↺ Reset to restore this example.
GET
/v1/odata/Datastore_ReasonLost?$top=10